.TH PYJSON5 "1" "April 2024" "pyjson5" "User Commands"
.SH NAME
pyjson5 \- formatter for JSON5 documents
.SH SYNOPSIS
.B json5 [\-h] [\-V] [\-c STR] [\-\-as\-json] [\-\-indent INDENT] [\-\-quote\-keys][\-\-no\-quote\-keys] [\-\-trailing\-commas] [\-\-no\-trailing\-commas][FILE]
.SH DESCRIPTION
.PP
A tool to parse and pretty\-print JSON5.
.PP
.SH OPTIONS
.SS "positional arguments:"
.TP
FILE
optional file to read JSON5 document from; if not
specified or "\-", will read from stdin instead
.SS "options:"
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-V\fR, \fB\-\-version\fR
print the version and exit
.TP
\fB\-c\fR STR
inline json5 string to read instead of reading from a
file
.TP
\fB\-\-as\-json\fR
output as JSON (same as \fB\-\-quote\-keys\fR \fB\-\-no\-trailingcommas\fR)
.TP
\fB\-\-indent\fR INDENT
amount to indent each line (default is 4 spaces)
.TP
\fB\-\-quote\-keys\fR
quote all object keys
.TP
\fB\-\-no\-quote\-keys\fR
don't quote object keys that are identifiers (this is
the default)
.TP
\fB\-\-trailing\-commas\fR
add commas after the last item in multi\-line objects
and arrays (this is the default)
.TP
\fB\-\-no\-trailing\-commas\fR
do not add commas after the last item in multi\-line
lists and objects
.IP
.SH EXAMPLES
.TP
$ echo '{foo:"bar"}' | pyjson5
.IP
{
.IP
foo: 'bar',
.IP
}
.TP
$ echo '{foo:"bar"}' | pyjson5 \-\-as\-json
{
.IP
"foo": "bar"
.IP
}
